pike.git / CHANGES

version» Context lines:

pike.git/CHANGES:45:   o mkpackage       Support multiple sub-packages with the same name.       Gnu-tar doesn't like being asked to extract the same file multiple    times from the same tar-file. It claims that the second file doesn't    exist in the archive.       This can happen when a sub-package has been replaced with a fixed version.    + o smartlink +  +  Don't override MACOS_DEPLOYMENT_TARGET if it's been specified. +  +  This should prevent "compiled against version x but linking against +  version y" warnings. +    o Arg & ADT.Struct       Survive use by old (ie 8.0.232) pike binaries.       Roxen 6.0.130 uses a Pike 8.0.232 binary with current modules.      o Protocols.HTTP       - Fixed do_async_proxied_method() losing the timeout during TLS    negotiation.